class sshd::params
{

  # defaults
  $access_group_name = 'sshaccess'
  $permit_root_login = 'no'
  $strict_modes      = 'yes'

  $config = '/etc/ssh/sshd_config'

  $service_manage = true
  $service_enable = true
  $service_ensure = running
  $service_name = $::osfamily ?  {
    'Debian' => 'ssh',
    'RedHat' => 'sshd',
    'Suse'   => 'sshd',
  }

  $package_ensure = present
  $package_name = $::osfamily ?  {
    'Debian' => [ 'openssh-server', 'openssh-client' ],
    'RedHat' => 'openssh',
    'Suse'   => 'openssh',
  }

}
