class sshd::service
inherits sshd
{

  if ! ($sshd::service_ensure in [ 'running', 'stopped' ])
  {
    fail( 'service_ensure parameter must be running or stopped' )
  }

  if $sshd::service_manage == true {
    service { 'sshd':
      ensure     => $sshd::service_ensure,
      enable     => $sshd::service_enable,
      name       => $sshd::service_name,
      hasstatus  => true,
      hasrestart => true,
    }
  }

}
