# sshd

This module is intended to perform the "most common" settings for sshd.

This is provided as-is, YMMV.  If you're in Vagrant, make sure to include at least "sshd" in the services.

## Examples

Use a group called "sshaccess" to limit ssh logins:

```
class { 'sshd' :
  accessGroup: 'sshaccess',
}
```


Add a local user to the group:
(both are equivalent)

```
sshd:allowedUser{ 'vagrant' : }

sshd:allowedUser{ 'vagrant' :
  name   => 'vagrant',
}
```


Add a domain user to the group:

```
sshd::allowedUser{ 'domuser' :
  name   => 'domuser',
  domain => 'DOMAIN',
}
```


## Contact

nospam@macwebb.com

If you send email, please include "sharumpe-sshd" in the subject line.
